| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::AccelFrame Class Reference

`#include <Frame.hpp>`

Inheritance diagram for ob::AccelFrame:

## Public Member Functions
| AccelFrame (Frame &frame)
| ~AccelFrame () noexcept=default
OBAccelValue | value ()
| Accelerometer frame data. More...
float | temperature ()
| Get the temperature when the frame is sampled. More...
Public Member Functions inherited from ob::Frame
| Frame (std::unique_ptr< FrameImpl > impl)
| Frame (Frame &frame)
virtual | ~Frame () noexcept
virtual OBFrameType | type ()
| Get the type of frame. More...
virtual OBFormat | format ()
| Get the format of the frame. More...
virtual uint64_t | index ()
| Get the sequence number of the frame. More...
virtual void * | data ()
| Get frame data. More...
virtual uint32_t | dataSize ()
| Get the frame data size. More...
uint64_t | timeStamp ()
| Get the hardware timestamp of the frame. More...
uint64_t | timeStampUs ()
| Get the hardware timestamp of the frame us. More...
uint64_t | systemTimeStamp ()
| Get frame system timestamp. More...
template<typename T >
bool | is ()
| Check if the runtime type of the frame object is compatible with a given type. More...
template<typename T >
std::shared_ptr< T > | as ()
| Frame object type conversion. More...

## Additional Inherited Members
Protected Attributes inherited from ob::Frame
std::unique_ptr< FrameImpl > | impl_

## Detailed Description

Definition at line 425 of file Frame.hpp.

## Constructor & Destructor Documentation

ob::AccelFrame::AccelFrame | ( | Frame & | frame | ) |

ob::AccelFrame::~AccelFrame | ( |  | ) |
| default noexcept

## Member Function Documentation

OBAccelValue ob::AccelFrame::value | ( |  | ) |

Accelerometer frame data.

Returns
  OBAccelValue

float ob::AccelFrame::temperature | ( |  | ) |

Get the temperature when the frame is sampled.

Returns
  float temperature value

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Frame.hpp